#!/usr/bin/perl

########################################
#                                      #
# C O N F I G U R A T I O N            #
#                                      #
########################################

$dbusername = "username";
$dbpassword = "password";

########################################
#                                      #
# I N C L U D E S                      #
#                                      #
########################################

use DBI;
require "common.pl";

########################################
#                                      #
# M A I N                              #
#                                      #
########################################

%cookies = ();
$cookiecount = 0;
dbconnect();
checkcookie();
decode();

if ( $loggedin > 0 ) { main(); }
else { print "Location: /cgi-bin/login.pl\n\n"; }

exit;

########################################
#                                      #
# S U B S                              #
#                                      #
########################################

sub htmlheader {

	if ( $cookiecount > 0 ) {
	
		# set cookies
		foreach $key ( keys %cookies ) {
		
			$val = $cookies{ $key };
			print "Set-Cookie: $key=$val\n";
		
		}
	
	} 
	
	print "Content-type: text/html\n\n";
	print "
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\">
<html>
<head>
  <title>Sample CGI App</title>
  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
  <meta name=\"GENERATOR\" content=\"Perl CGI\">
</head>
<body>
	";

}

sub htmlfooter {

	print "</body></html>";

}

sub main {

	htmlheader();
	print "<p>This is the members only index page<p>";
	htmlfooter();
	exit;

}
